\name{Get.threshold}
\title{Threshold calculation through quantile equivalence.}
\usage{
Get.threshold(Obs, thr_obs, Mod)
}
\alias{Get.threshold}
\description{For internal use in the "Schaake.Shuffle" method for rain-like data. Get.threshold calculate the threshold th in the "Mod" vector such that CDF_Obs(thr_obs)=CDF_Mod(th).
}
\arguments{
  \item{Obs}{Vector containing the reference data}
  \item{thr_obs}{Vector containing the threshold of the reference data.}
  \item{Mod}{Vector containing the data for which the "new" threshold has to be computed.}
}
\value{Returns a scalar corresponding to the threshold.
}
\details{calculate the threshold th in the "Mod" vector such that CDF_Obs(thr_obs)=CDF_Mod(th).}
\author{M. Vrac (mathieu.vrac@lsce.ipsl.fr) and P. Friederichs (pfried@uni-bonn.de)}
\seealso{\code{\link{Schaake.Shuffle}}, \code{\link{ECBC}}}
\examples{
}
\keyword{math}
\keyword{nonparametric}
\keyword{models}
