\name{Trans.funct}
\title{Transfer function used in the "Schaake.Shuffle" method. FOR INTERNAL USE.}
\usage{
Trans.funct(rankX, rankY)
}
\alias{Trans.funct}
\description{For internal use in the "Schaake.Shuffle" method.
Trans.funct corresponds to the transfer function of the "Schaake.Shuffle" method.
}
\arguments{
  \item{rankX}{Vector containing the ranks of a time series (X).}
  \item{rankY}{Vector containing the ranks of a time series (Y).}
}
\value{Returns a vector corresponding to the new rank.
}
\details{For details on the mathematical formulation of the transfer function in the Schaake Shuffle, see the two references:

Clark, M., S. Gangopadhyay, L. Hay, B. Rajagopalan, and R. Wilby (2004): The Schaake shuffle: A method for reconstructing space-time variability in forecasted precipitation and temperature fields. J. Hydrometeor., 5, 243-262.

Vrac, M. and Friederichs, P. (2014), Multivariate - Inter-variable, spatial and temporal - bias correction. In revision.
}
\author{M. Vrac (mathieu.vrac@lsce.ipsl.fr) and P. Friederichs (pfried@uni-bonn.de)}
\seealso{\code{\link{Schaake.Shuffle}}, \code{\link{ECBC}}}
\examples{
}
\keyword{math}
\keyword{ts}
\keyword{nonparametric}
\keyword{models}
